<div class="wrap shopp imagetools">

	<div class="icon32"> </div>
	<h2><?php _e('Image Tools', 'shoppimagetools'); ?></h2>


	<p>
		<?php _e('Shopp Image Tools can move product images from the database to the filesystem, potentially increasing performance '
			.'within some hosting environments. However, it may not be able to convert database-bound images that were first uploaded '
			.'with a much earlier version of Shopp and it cannot convert them back again! Remember &ndash; please be safe and <strong>back up</strong>.', 'shoppimagetools'); ?>
	</p>

	<table class="widefat">
		<thead>
			<tr>
				<th><?php _e('Type of Storage', 'shoppimagetools'); ?></th>
				<th><?php _e('Number of Images', 'shoppimagetools'); ?></th>
			</tr>
		</thead>
		<tbody>
		    <tr>
			    <td><?php _e('Database', 'shoppimagetools'); ?></td>
			    <td class="db-total"><?php echo esc_html($totals['db']); ?></td>
		    </tr>
		    <tr>
			    <td><?php _e('File system', 'shoppimagetools'); ?></td>
			    <td class="fs-total"><?php echo esc_html($totals['fs']); ?></td>
		    </tr>
		    <tr>
			    <td><?php _e('Other', 'shoppimagetools'); ?></td>
			    <td class="other-total"><?php echo esc_html($totals['other']); ?></td>
		    </tr>
		</tbody>
	</table>

	<form action="<?php echo $conversionAction; ?>" method="post">

		<div class="toolhelp">
			<p> <?php _e('Enabling smart cleanup allows the Conversion Tool to remove each image from the database (once successfully converted). '
				.'If you do not enable smart cleanup initially you can use the Orphan Cleanup Tool later on &ndash; this is also useful if '
				.'you have orphaned images in the database resulting from mistakes such as uploading an image and forgetting to save it.', 'shoppimagetools') ?>	</p>
		</div>

		<div class="tools">

			<p class="control converter"> <input type="submit" name="converter" id="converter" value="<?php _e('Run Conversion Tool', 'shoppimagetools'); ?>" class="button-secondary" /> <br/>
				<span class="control-group"> <input type="checkbox" name="smartcleanup" id="smartcleanup" value="1" />
				<label><?php _e('Enable smart cleanup', 'shoppimagetools') ?></label> </span> </p>

			<p class="control orphans">
				<?php if ( version_compare( PHP_VERSION, '5.4', '>=' ) ): ?>
					<input type="submit" name="orphancleanup" id="orphancleanup" value="<?php _e('Run Orphan Cleanup Tool', 'shoppimagetools'); ?>" class="button-secondary" />
				<?php else: ?>
					<em> <?php _e( 'The orphan cleanup tool is not available for this server.', 'shoppimagetools' ) ?> <br />
					<?php _e( 'PHP 5.4 or greater is required.' ,'shoppimagetools' ) ?> </em>
				<?php endif ?>
			</p>
		</div>

	</form>

	<input type="hidden" name="checkstring" id="checkstring" value="<?php echo wp_create_nonce('ajaxconversionop'); ?>" />

	<?php if (isset($conversionLog)): ?>

		<div id="conversionlog">
			<?php echo $conversionLog; ?>
		</div>

	<?php endif; ?>

</div>